Subject: Re: [PATCH 1/3] TIPC: Removing EXPERIMENTAL label

From: Paul Gortmaker <[email-masked]>
Date: Fri, 25 May 2012 15:05:06 -0400

[Re: [PATCH 1/3] TIPC: Removing EXPERIMENTAL label] On 24/05/2012 (Thu 16:12) David Miller wrote:

> From: Paul Gortmaker <[email-masked]>
> Date: Thu, 24 May 2012 15:58:16 -0400
> 
> > But for new TIPC development features, future direction, and things like
> > that -- making the right call requires intimate understanding of TIPC
> > and its users, which is something that a maintainer should have but
> > something I know I don't have.  (A man has to know his limitations.)
> > 
> > In this context, I'm not talking about these three trivial patches; but
> > more complicated stuff that I imagine will be floated in the future.
> > 
> > To that end, I can still review and call out issues in a crap patch when
> > I see them.  But I'd like to see new stuff sent to netdev, so that folks
> > smarter than me have a chance to catch when a patch appears generally OK
> > but is architecturally the wrong direction etc.
> 
> For maintainership, taste is more important than deep knowledge of the
> specific technology.  Worst case you ask the submitter to explain the
> background of their change more thoroughly and that information is an
> absolutely requirement in the commit message and code comments
> anyways.

OK, what I'm hearing is that you'd prefer I continue to collect up TIPC
patches and issue pull requests for a while longer.  I can do that.  Any
specifics of how you'd like things done? -- e.g. if the reviews of new
TIPC development patches takes place here on netdev before I stage them,
will that create extra work for you dealing with them in patchworks?

Paul.